FlowShopObjectiveVectorTraits(3)

NAME
FlowShopObjectiveVectorTraits - Definition of the objective vector traits for multi-objective flow-shop problems.

SYNOPSIS

#include <FlowShopObjectiveVectorTraits.h>

Inherits moeoObjectiveVectorTraits.

  Static Public Member Functions
static bool minimizing (int _i)
Returns true if the _ith objective have to be minimzed.
static bool maximizing (int _i)
Returns true if the _ith objective have to be maximzed.
static unsigned int nObjectives ()
Returns the number of objectives.

Detailed Description

Definition of the objective vector traits for multi-objective flow-shop problems.

Definition at line 21 of file FlowShopObjectiveVectorTraits.h.

Member Function Documentation

  bool FlowShopObjectiveVectorTraits::minimizing (int _i) [static]

Returns true if the _ith objective have to be minimzed.

Parameters:
    _i index of the objective

Definition at line 16 of file FlowShopObjectiveVectorTraits.cpp.

  bool FlowShopObjectiveVectorTraits::maximizing (int _i) [static]

Returns true if the _ith objective have to be maximzed.

Parameters:
    _i index of the objective

Definition at line 22 of file FlowShopObjectiveVectorTraits.cpp.

Author

Generated automatically by Doxygen for ParadisEO-MOEOMovingObjects from the source code.